Subject: Re: bug#9943: 24.0.91; Abort in check_glyph_memory

From: Eli Zaretskii <[email-masked]>
Date: Thu, 03 Nov 2011 23:59:07 +0200

> Date: Thu, 03 Nov 2011 17:05:45 -0400
> From: Ken Brown <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> On 11/3/2011 3:58 PM, Glenn Morris wrote:
> > Eli Zaretskii wrote:
> >
> >> I fixed this for w32 (revision 106273 on the trunk).  I think the same
> >> problem can happen on X, but I cannot run Emacs on X where I'm typing
> >> this.  Could someone please try the recipe on X and see if the same
> >> problem happens there?  It could matter which toolkit was used to
> >> build Emacs, so please tell which toolkit you are using.  TIA.
> >
> > Lucid toolkit:
> 
> [...]
> 
> Eli,
> 
> I don't know if you need results from a second toolkit, but here's what 
> I get with gtk:
> 
> (gdb) bt full
> #0  abort () at emacs.c:386
> No locals.
> #1  0x00404781 in check_glyph_memory () at dispnew.c:2370
>          tail = 8775706
>          frame = -2147299323
> #2  0x005149e8 in shut_down_emacs (sig=0, no_x=0, stuff=8775706)
>      at emacs.c:2102

Thanks, I installed a fix.

nsfns.m has a similar problem, but x-create-frame there doesn't have
an unwind-protect function to add a similar change.  Can someone test
this recipe on a Mac?